Subject: Re: [netlmm] The term LMA

From: Behcet Sarikaya <[email-masked]>
Date: Fri, 11 May 2007 08:11:28 -0700 (PDT)

Raj,
  I agree with Gerardo. 
MAP is the local HA and it was not called HA. Similarly, LMA is the HA in netlmm domain and it is probably good not  to call it an HA.
  Now, if you consider operator networks, nobody seems to have/would like to have a hierarchy of HAs, usually one is more than enough. So pmip would have the same problem HMIP had in terms of deployment and that's the point you are making.
  The advantage of PMIP is that we do not need to have a separate HA as in HMIP. This is obvious in PMIP spec. I believe we do not need a separate document to explain this.
  So maybe we should close this thread in favor of LMA.

Regards,

--behcet

----- Original Message ----
From: Basavaraj Patil <[email-masked]>
To: Giaretta Gerardo <[email-masked]>
Cc: [email-masked]
Sent: Thursday, May 10, 2007 11:26:43 PM
Subject: Re: [netlmm] The term LMA

Hi Gerardo, 

On 5/10/07 10:43 PM, "ext Gerardo Giaretta" <[email-masked]>
wrote:

> Hi Raj,
> 
> On 5/10/07, Basavaraj Patil <[email-masked]> wrote:
>> 
>> Hi Gerardo,
>> 
>> 
>> On 5/10/07 10:11 AM, "ext Gerardo Giaretta" <[email-masked]>
>> wrote:
>> 
>>> Hi Raj,
>>> 
>>> I disagree with this, mainly for two reasons.
>>> 
>>> Based on the charter NETLMM is developing PMIP as a localized mobility
>>> management protocol. Some other SDOs may use it as global mobility
>>> management protocol, but we need to keep that in mind: therefore, I
>>> would like to have this reflected in the anchor name.
>> 
>> Do you agree that the protocol as specified today can be used for global
>> mobility as well?
> 
> It depends on what you mean by global mobility. I think that PMIP may
> not work well for inter-technology handover.

Raj> I don't think we are talking about handover at all in the even in the
scope of localized mobility. So I am at a loss here trying to figure out
what is the relation of inter-technology handover in the current discussion.
We talk about localized mobility within the scope of a PMIP domain. Nowhere
is it stated that a PMIP6 domain maps to a single access technology. Whether
PMIP works well, better or worse than anything else for inter-technology
handover really has no implication to the fact that it is a protocol that
can support localized mobility as well as global mobility. Personally I
think the terms used to define localized mobility management and global
mobility management as defined in RFC4830 are not expressive enough to
convey a clear meaning or demarcation.

> For inter-domain
> mobility, it depends on the security associations between the parties,
> that is it really depends on the system aspects...nothing to do with
> IETF, IMO.

Well... I don't know why you think there needs to be a security association
between the domains. A host could move across PMIP domains and be assigned
the same HA and HoA by the PMA in the target domain on completion of the
network access and attach procedure. Session continuity equivalent to MIP6
would be maintained. And in such a case there would be no security
association or relation between the two PMIP domains. The only thing that
would be common is the HA (or LMA) and the authentication engine which would
be the same for both PMIP domains.

> 
>> Why do we portray the work done as specifically being applicable only to
>> local mobility? The protocol can be used to solve local mobility or global
>> mobility and its better to acknowledge that than sticking our heads in the
>> sand.
>> 
> 
> I have been involved in NETLMM since its early proposal as a WG. From
> the first version of both draft-kempf (requirements and problem
> statement), there was a clear understanding between authors and BOF
> attendees that the proposal was only targeted to local mobility
> management.
> 

Raj> I realize this... And I think you agree that PMIP6 is a protocol that
addresses the problem as per the charter. However it also does solve the
global mobility issue as well. And so I see no reason to not state it as
such. We are holding the charter as being sacred here and refusing to modify
it. I think the IETF is more flexible than what you may perceive it to be.

> This has been the assumption so far. And I would like to state that
> the WG was approved only because of this restriction.
> 

Raj> That's okay... Extending the scope will do no major harm or cause the
IESG to retract their approval of this WG :)

> 
>>> 
>>> Secondly, I think a different name for the PMIP anchor (i.e. LMA) is
>>> very useful when you start working on MIP6/PMIP6 mixed scenario where
>>> LMA may or may not be co-located with the MIP6 HA.
>> 
>> Irrespective of co-location (which IMO is not an issue really since this is
>> more of an implementation and deployment topic), I think what we have
>> defined today as the LMA is an HA. So why not just refer to it as an HA. Do
>> you believe the LMA is a specialized element being defined in Netlmm and the
>> PMIP6 WG?
>> 
> 
> What about HMIPv6? Isn't the MAP a HA?

Raj> Indeed... And I do not think that HMIP6 tries to cloak the MAP as being
anything else than an HA.

> I think it is clear to
> everybody that LMA is more or less a HA (with some differences
> though). But this does not mean that we need to use the same terms:
> PMIPv6 is different from MIPv6 and therefore it is cleaner to name
> PMIPv6 anchor logical function with a different term.

Raj> I guess we disagree on this point.

> 
> And again, I think having the same term for MIPv6 HA and PMIPv6 LMA
> would increase the complexity in describing mixed scenarios where PMIP
> and MIP are used together.

Raj> This is a matter of defining the scope of mobility managed by the HA in
specific scenarios and need not be confusing.

-Raj

> 
> Gerardo
> 
> 
>> I think it makes sense to get the scope and terminology right at this stage
>> of the work in Netlmm.
>> 
>> -Raj
>> 
>>> 
>>> Gerardo
>>> 
>>> On 5/10/07, Basavaraj Patil <[email-masked]> wrote:
>>>> 
>>>> Hello,
>>>> 
>>>> The terminology that we have in the current PMIP6 I-D
>>>> <draft-ietf-netlmm-proxymip6-00.txt> w.r.t LMA is not entirely
>>>> accurate.
>>>> 
>>>> LMA definition as per the I-D is:
>>>> "
>>>>       Local Mobility Anchor is the home agent for the mobile node in the
>>>>       Proxy Mobile IPv6 domain.  It is the topological anchor point for
>>>>       the mobile node's home prefix and is the entity that manages the
>>>>       mobile node's reachability state.  It is important to understand
>>>>       that the LMA has the functional capabilities of a home agent as
>>>>       defined in Mobile IPv6 base specification [RFC-3775] and with the
>>>>       additional required capabilities for supporting Proxy Mobile IPv6
>>>>       as defined in this specification.
>>>> "
>>>> 
>>>> The protocol solution being discussed focuses on localized
>>>> mobility. However this protocol also works equally well for the global
>>>> mobility of the host. The term local mobility agent gives the
>>>> perception that this entity is responsible only for local mobility and
>>>> global mobility (if applicable) would be managed by a MIP6 HA. While
>>>> this deployment model is feasible, it is equally feasible to manage
>>>> global mobility of the host with the same protocol (as long as certain
>>>> assumptions about Proxy MIP capability in the access router that a
>>>> host attaches to exist).
>>>> 
>>>> IMO, we should change the LMA term to what it really is, an HA. If the
>>>> HA is used in the context of localized mobility, it MAY be refered to
>>>> as an LMA. But if it is providing global mobility, then it is just an
>>>> HA. And since there really is no difference in the functionality of
>>>> these entities, it would be better to just refer to it as HA.
>>>> A PMIP6 HA = MIP6 HA + DSMIP6 capabilities + PMIP6 enhancements
>>>> 
>>>> -Raj
>>>> 
>>>> 
>>>> _______________________________________________
>>>> netlmm mailing list
>>>> [email-masked]
>>>> https://www1.ietf.org/mailman/listinfo/netlmm
>>>> 
>> 
>> 

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: "Hesham Soliman" <[email-masked]>
Date: Sat, 12 May 2007 01:15:20 +1000

The advantage of PMIP is that we do not need to have a separate HA as in
HMIP.  
 
=> Just for the record, this is not true. HMIP doesn't need an HA to be
present. 
 
Hesham
 
 T  his is obvious in PMIP spec. I believe we do not need a separate
document to explain this.
  So maybe we should close this thread in favor of LMA.
 
Regards,
 
--behcet

----- Original Message ----
From: Basavaraj Patil <[email-masked]>
To: Giaretta Gerardo <[email-masked]>
Cc: [email-masked]
Sent: Thursday, May 10, 2007 11:26:43 PM
Subject: Re: [netlmm] The term LMA

Hi Gerardo, 

-Raj